%define oname gperftools

%define pr_major 0
%define major 4
%define libprofiler %mklibname profiler %{pr_major}
%define libtcmalloc %mklibname tcmalloc %{major}
%define libtcmallocpr %mklibname tcmalloc_and_profiler %{major}
%define libtcmallocd %mklibname tcmalloc_debug %{major}
%define libtcmallocm %mklibname tcmalloc_minimal %{major}
%define libtcmallocmd %mklibname tcmalloc_minimal_debug %{major}
%define devname %mklibname google-perftools -d

Summary:	Performance tools for C++
Name:		google-perftools
Version:	2.1
Release:	4
License:	BSD
Group:		System/Libraries
Url:		http://code.google.com/p/%{oname}/
Source0:	http://%{oname}.googlecode.com/files/%{oname}-%{version}.tar.gz
BuildRequires:	file
BuildRequires:	libtool
Conflicts:	%{_lib}google-perftools4 < 2.1

%description
The google-perftools packages contains some utilities to improve and analyze
the performance of C++ programs.  This includes an optimized thread-caching
malloc() and cpu and heap profiling utilities.

%files
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/pprof
%{_mandir}/man1/pprof.1*

#----------------------------------------------------------------------------

%package -n %{libprofiler}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}google-perftools4 < 2.1
Obsoletes:	%{_lib}google-perftools4 < 2.1

%description -n %{libprofiler}
Shared library for %{name}.

%files -n %{libprofiler}
%{_libdir}/libprofiler.so.%{pr_major}*

#----------------------------------------------------------------------------

%package -n %{libtcmalloc}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}google-perftools4 < 2.1

%description -n %{libtcmalloc}
Shared library for %{name}.

%files -n %{libtcmalloc}
%{_libdir}/libtcmalloc.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libtcmallocpr}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}google-perftools4 < 2.1

%description -n %{libtcmallocpr}
Shared library for %{name}.

%files -n %{libtcmallocpr}
%{_libdir}/libtcmalloc_and_profiler.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libtcmallocd}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}google-perftools4 < 2.1

%description -n %{libtcmallocd}
Shared library for %{name}.

%files -n %{libtcmallocd}
%{_libdir}/libtcmalloc_debug.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libtcmallocm}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}google-perftools4 < 2.1

%description -n %{libtcmallocm}
Shared library for %{name}.

%files -n %{libtcmallocm}
%{_libdir}/libtcmalloc_minimal.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libtcmallocmd}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}google-perftools4 < 2.1

%description -n %{libtcmallocmd}
Shared library for %{name}.

%files -n %{libtcmallocmd}
%{_libdir}/libtcmalloc_minimal_debug.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for google-perftools libraries
Group:		Development/C++
Requires:	%{libprofiler} = %{EVRD}
Requires:	%{libtcmalloc} = %{EVRD}
Requires:	%{libtcmallocpr} = %{EVRD}
Requires:	%{libtcmallocd} = %{EVRD}
Requires:	%{libtcmallocm} = %{EVRD}
Requires:	%{libtcmallocmd} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for google-perftools libraries.

%files -n %{devname}
%doc doc/*.html doc/*.png doc/*.dot doc/*.gif doc/*.txt TODO
%{_includedir}/google/*.h
%{_includedir}/%{oname}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
%ifarch x86_64
	--enable-frame-pointers
%endif

%make

%install
%makeinstall_std

# cleanup
rm -rf %{buildroot}/usr/share/doc/%{oname}-%{version}

%changelog

* Fri Feb 17 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.1-4
- (2c7ae7a) MassBuild#1257: Increase release tag


